<?php
/**
 * @author      Lefteris Kavadas
 * @copyright   Copyright (c) 2016 - 2024 Lefteris Kavadas / firecoders.com
 * @license     GNU General Public License version 3 or later
 */

namespace Firecoders\Component\CommentBox\Administrator\Service\HTML;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

class Pages
{
    public function commentsStates()
    {
        $states = [
            1 => [
                'task'           => 'unpublish',
                'text'           => '',
                'active_title'   => 'COM_COMMENTBOX_DISABLE_COMMENTS',
                'inactive_title' => '',
                'tip'            => true,
                'active_class'   => 'publish',
                'inactive_class' => 'publish',
            ],
            0 => [
                'task'           => 'publish',
                'text'           => '',
                'active_title'   => 'COM_COMMENTBOX_ENABLE_COMMENTS',
                'inactive_title' => '',
                'tip'            => true,
                'active_class'   => 'unpublish',
                'inactive_class' => 'unpublish',
            ],
            -1 => [
                'task'           => 'publish',
                'text'           => '',
                'active_title'   => 'COM_COMMENTBOX_ENABLE_COMMENTS',
                'inactive_title' => '',
                'tip'            => true,
                'active_class'   => 'stop',
                'inactive_class' => 'stop',
            ],
        ];

        return $states;
    }


}
